source: patches/tar-1.25-man-1.patch @ ecc1136

clfs-1.2clfs-2.1clfs-3.0.0-systemdclfs-3.0.0-sysvinitsystemdsysvinit
Last change on this file since ecc1136 was abdca7b, checked in by Joe Ciccone <jciccone@…>, 13 years ago

Updated Tar to 1.25.

  • Property mode set to 100644
File size: 19.5 KB
  • doc/Makefile.am

    Submitted By: Joe Ciccone <jciccone@gmail.com>
    Date: 2011-01-08
    Initial Package Version: 1.22
    Origin: Debian
    Upstream Status: Unknown
    Description: This patch adds a man page for tar generated by the perl script
                 from debian.
    
    diff -Naur tar-1.25.orig/doc/Makefile.am tar-1.25/doc/Makefile.am
    old new  
    1717## along with this program; if not, write to the Free Software Foundation,
    1818## Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
    1919
     20man_MANS = tar.1
    2021info_TEXINFOS = tar.texi
    2122tar_TEXINFOS = \
    2223 dumpdir.texi\
  • doc/Makefile.in

    diff -Naur tar-1.25.orig/doc/Makefile.in tar-1.25/doc/Makefile.in
    old new  
    172172MAKEINFOHTML = $(MAKEINFO) --html
    173173AM_MAKEINFOHTMLFLAGS = $(AM_MAKEINFOFLAGS)
    174174DVIPS = dvips
    175 am__installdirs = "$(DESTDIR)$(infodir)"
     175am__installdirs = "$(DESTDIR)$(infodir)" "$(DESTDIR)$(man1dir)"
    176176am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
    177177am__vpath_adj = case $$p in \
    178178    $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
     
    194194am__base_list = \
    195195  sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
    196196  sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
     197man1dir = $(mandir)/man1
     198NROFF = nroff
     199MANS = $(man_MANS)
    197200DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
    198201ACLOCAL = @ACLOCAL@
    199202ALLOCA = @ALLOCA@
     
    875878top_build_prefix = @top_build_prefix@
    876879top_builddir = @top_builddir@
    877880top_srcdir = @top_srcdir@
     881man_MANS = tar.1
    878882info_TEXINFOS = tar.texi
    879883tar_TEXINFOS = \
    880884 dumpdir.texi\
     
    10971101          echo " rm -f $$i $$i-[0-9] $$i-[0-9][0-9] $$i_i[0-9] $$i_i[0-9][0-9]"; \
    10981102          rm -f $$i $$i-[0-9] $$i-[0-9][0-9] $$i_i[0-9] $$i_i[0-9][0-9]; \
    10991103        done
     1104install-man1: $(man_MANS)
     1105        @$(NORMAL_INSTALL)
     1106        test -z "$(man1dir)" || $(MKDIR_P) "$(DESTDIR)$(man1dir)"
     1107        @list=''; test -n "$(man1dir)" || exit 0; \
     1108        { for i in $$list; do echo "$$i"; done; \
     1109        l2='$(man_MANS)'; for i in $$l2; do echo "$$i"; done | \
     1110          sed -n '/\.1[a-z]*$$/p'; \
     1111        } | while read p; do \
     1112          if test -f $$p; then d=; else d="$(srcdir)/"; fi; \
     1113          echo "$$d$$p"; echo "$$p"; \
     1114        done | \
     1115        sed -e 'n;s,.*/,,;p;h;s,.*\.,,;s,^[^1][0-9a-z]*$$,1,;x' \
     1116              -e 's,\.[0-9a-z]*$$,,;$(transform);G;s,\n,.,' | \
     1117        sed 'N;N;s,\n, ,g' | { \
     1118        list=; while read file base inst; do \
     1119          if test "$$base" = "$$inst"; then list="$$list $$file"; else \
     1120            echo " $(INSTALL_DATA) '$$file' '$(DESTDIR)$(man1dir)/$$inst'"; \
     1121            $(INSTALL_DATA) "$$file" "$(DESTDIR)$(man1dir)/$$inst" || exit $$?; \
     1122          fi; \
     1123        done; \
     1124        for i in $$list; do echo "$$i"; done | $(am__base_list) | \
     1125        while read files; do \
     1126          test -z "$$files" || { \
     1127            echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(man1dir)'"; \
     1128            $(INSTALL_DATA) $$files "$(DESTDIR)$(man1dir)" || exit $$?; }; \
     1129        done; }
     1130
     1131uninstall-man1:
     1132        @$(NORMAL_UNINSTALL)
     1133        @list=''; test -n "$(man1dir)" || exit 0; \
     1134        files=`{ for i in $$list; do echo "$$i"; done; \
     1135        l2='$(man_MANS)'; for i in $$l2; do echo "$$i"; done | \
     1136          sed -n '/\.1[a-z]*$$/p'; \
     1137        } | sed -e 's,.*/,,;h;s,.*\.,,;s,^[^1][0-9a-z]*$$,1,;x' \
     1138              -e 's,\.[0-9a-z]*$$,,;$(transform);G;s,\n,.,'`; \
     1139        test -z "$$files" || { \
     1140          echo " ( cd '$(DESTDIR)$(man1dir)' && rm -f" $$files ")"; \
     1141          cd "$(DESTDIR)$(man1dir)" && rm -f $$files; }
    11001142tags: TAGS
    11011143TAGS:
    11021144
     
    11051147
    11061148
    11071149distdir: $(DISTFILES)
     1150        @list='$(MANS)'; if test -n "$$list"; then \
     1151          list=`for p in $$list; do \
     1152            if test -f $$p; then d=; else d="$(srcdir)/"; fi; \
     1153            if test -f "$$d$$p"; then echo "$$d$$p"; else :; fi; done`; \
     1154          if test -n "$$list" && \
     1155            grep 'ab help2man is required to generate this page' $$list >/dev/null; then \
     1156            echo "error: found man pages containing the \`missing help2man' replacement text:" >&2; \
     1157            grep -l 'ab help2man is required to generate this page' $$list | sed 's/^/         /' >&2; \
     1158            echo "       to fix them, install help2man, remove and regenerate the man pages;" >&2; \
     1159            echo "       typically \`make maintainer-clean' will remove them" >&2; \
     1160            exit 1; \
     1161          else :; fi; \
     1162        else :; fi
    11081163        @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
    11091164        topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
    11101165        list='$(DISTFILES)'; \
     
    11391194          dist-info
    11401195check-am: all-am
    11411196check: check-am
    1142 all-am: Makefile $(INFO_DEPS)
     1197all-am: Makefile $(INFO_DEPS) $(MANS)
    11431198installdirs:
    1144         for dir in "$(DESTDIR)$(infodir)"; do \
     1199        for dir in "$(DESTDIR)$(infodir)" "$(DESTDIR)$(man1dir)"; do \
    11451200          test -z "$$dir" || $(MKDIR_P) "$$dir"; \
    11461201        done
    11471202install: install-am
     
    11891244
    11901245info-am: $(INFO_DEPS)
    11911246
    1192 install-data-am: install-info-am
     1247install-data-am: install-info-am install-man
    11931248
    11941249install-dvi: install-dvi-am
    11951250
     
    12631318            install-info --info-dir="$(DESTDIR)$(infodir)" "$(DESTDIR)$(infodir)/$$relfile" || :;\
    12641319          done; \
    12651320        else : ; fi
    1266 install-man:
     1321install-man: install-man1
    12671322
    12681323install-pdf: install-pdf-am
    12691324
     
    13111366ps-am: $(PSS)
    13121367
    13131368uninstall-am: uninstall-dvi-am uninstall-html-am uninstall-info-am \
    1314         uninstall-pdf-am uninstall-ps-am
     1369        uninstall-man uninstall-pdf-am uninstall-ps-am
     1370
     1371uninstall-man: uninstall-man1
    13151372
    13161373.MAKE: install-am install-strip
    13171374
     
    13201377        dvi-am html html-am info info-am install install-am \
    13211378        install-data install-data-am install-dvi install-dvi-am \
    13221379        install-exec install-exec-am install-html install-html-am \
    1323         install-info install-info-am install-man install-pdf \
    1324         install-pdf-am install-ps install-ps-am install-strip \
    1325         installcheck installcheck-am installdirs maintainer-clean \
    1326         maintainer-clean-aminfo maintainer-clean-generic \
    1327         maintainer-clean-vti mostlyclean mostlyclean-aminfo \
    1328         mostlyclean-generic mostlyclean-vti pdf pdf-am ps ps-am \
    1329         uninstall uninstall-am uninstall-dvi-am uninstall-html-am \
    1330         uninstall-info-am uninstall-pdf-am uninstall-ps-am
     1380        install-info install-info-am install-man install-man1 \
     1381        install-pdf install-pdf-am install-ps install-ps-am \
     1382        install-strip installcheck installcheck-am installdirs \
     1383        maintainer-clean maintainer-clean-aminfo \
     1384        maintainer-clean-generic maintainer-clean-vti mostlyclean \
     1385        mostlyclean-aminfo mostlyclean-generic mostlyclean-vti pdf \
     1386        pdf-am ps ps-am uninstall uninstall-am uninstall-dvi-am \
     1387        uninstall-html-am uninstall-info-am uninstall-man \
     1388        uninstall-man1 uninstall-pdf-am uninstall-ps-am
    13311389
    13321390
    13331391header.texi: $(top_srcdir)/src/tar.h
  • doc/tar.1

    diff -Naur tar-1.25.orig/doc/tar.1 tar-1.25/doc/tar.1
    old new  
     1.\" generated by script on Sat Jan  8 16:53:11 2011
     2.Dd Jan  8, 2011
     3.Dt TAR 1
     4.Sh NAME
     5.Nm tar
     6.Nd The GNU version of the tar archiving utility
     7.Sh SYNOPSIS
     8.Nm tar
     9.Oo Fl Oc Cm A Fl \-catenate \-concatenate Cm \||\| c Fl \-create Cm \||\| d Fl \-diff \-compare Cm \||\| Fl \-delete Cm \||\| r Fl \-append Cm \||\| t Fl \-list Cm \||\| Fl \-test\-label Cm \||\| u Fl \-update Cm \||\| x Fl \-extract \-get
     10.Op Ar options
     11.Op Ar pathname ...
     12.Sh DESCRIPTION
     13.Nm Tar
     14stores and extracts files from a tape or disk archive.
     15.Pp
     16The first argument to
     17tar
     18should be a function; either one of the letters
     19.Cm Acdrtux ,
     20or one of the long function names.
     21A function letter need not be prefixed with ``\-'', and may be combined
     22with other single-letter options.
     23A long function name must be prefixed with
     24.Cm \\-\\- .
     25Some options take a parameter; with the single-letter form
     26these must be given as separate arguments.
     27With the long form, they may be given by appending
     28.Cm = Ns Ar value
     29to the option.
     30.Sh FUNCTION LETTERS
     31Main operation mode:
     32.Bl -tag -width flag
     33.It Fl A , Fl \-catenate , Fl \-concatenate
     34append tar files to an archive
     35.It Fl c , Fl \-create
     36create a new archive
     37.It Fl d , Fl \-diff , Fl \-compare
     38find differences between archive and file system
     39.It Fl \-delete
     40delete from the archive (not on mag tapes!)
     41.It Fl r , Fl \-append
     42append files to the end of an archive
     43.It Fl t , Fl \-list
     44list the contents of an archive
     45.It Fl \-test\-label
     46test the archive volume label and exit
     47.It Fl u , Fl \-update
     48only append files newer than copy in archive
     49.It Fl x , Fl \-extract , Fl \-get
     50extract files from an archive
     51.El
     52.Sh OTHER OPTIONS
     53Operation modifiers:
     54.Bl -tag -width flag
     55.It \-[0\-7][lmh]
     56specify drive and density
     57.It Fl a , Fl \-auto\-compress
     58use archive suffix to determine the compression program
     59.It Fl \-add\-file Ns \= Ns Ar FILE
     60add given FILE to the archive (useful if its name starts with a dash)
     61.It Fl \-anchored
     62patterns match file name start
     63.It Fl \-no\-anchored
     64patterns match after any `/' (default for exclusion)
     65.It Fl \-atime\-preserve
     66preserve access times on dumped files, either by restoring the times
     67.It Fl \-no\-auto\-compress
     68do not use archive suffix to determine the compression program
     69.It Fl b , Fl \-blocking\-factor Ar BLOCKS
     70BLOCKS x 512 bytes per record
     71.It Fl B , Fl \-read\-full\-records
     72reblock as we read (for 4.2BSD pipes)
     73.It Fl \-backup
     74backup before removal, choose version CONTROL
     75.It Fl C , Fl \-directory Ar DIR
     76change to directory DIR
     77.It Fl \-check\-device
     78check device numbers when creating incremental archives (default)
     79.It Fl \-no\-check\-device
     80do not check device numbers when creating incremental archives
     81.It Fl \-checkpoint
     82display progress messages every NUMBERth record (default 10)
     83.It Fl \-checkpoint\-action Ns \= Ns Ar ACTION
     84execute ACTION on each checkpoint
     85.It Fl \-delay\-directory\-restore
     86delay setting modification times and permissions of extracted
     87.It Fl \-no\-delay\-directory\-restore
     88cancel the effect of --delay-directory-restore option
     89.It Fl \-exclude Ns \= Ns Ar PATTERN
     90exclude files, given as a PATTERN
     91.It Fl \-exclude\-backups
     92exclude backup and lock files
     93.It Fl \-exclude\-caches
     94exclude contents of directories containing CACHEDIR.TAG,
     95.It Fl \-exclude\-caches\-all
     96exclude directories containing CACHEDIR.TAG
     97.It Fl \-exclude\-caches\-under
     98exclude everything under directories containing CACHEDIR.TAG
     99.It Fl \-exclude\-tag Ns \= Ns Ar FILE
     100exclude contents of directories containing FILE, except
     101.It Fl \-exclude\-tag\-all Ns \= Ns Ar FILE
     102exclude directories containing FILE
     103.It Fl \-exclude\-tag\-under Ns \= Ns Ar FILE
     104exclude everything under directories containing FILE
     105.It Fl \-exclude\-vcs
     106exclude version control system directories
     107.It Fl f , Fl \-file Ar ARCHIVE
     108use archive file or device ARCHIVE
     109.It Fl F , Fl \-info\-script , Fl \-new\-volume\-script Ar NAME
     110run script at end of each tape (implies -M)
     111.It Fl \-force\-local
     112archive file is local even if it has a colon
     113.It Fl \-full\-time
     114print file time to its full resolution
     115.It Fl g , Fl \-listed\-incremental Ar FILE
     116handle new GNU-format incremental backup
     117.It Fl G , Fl \-incremental
     118handle old GNU-format incremental backup
     119.It Fl \-group Ns \= Ns Ar NAME
     120force NAME as group for added files
     121.It Fl h , Fl \-dereference
     122follow symlinks; archive and dump the files they point to
     123.It Fl H , Fl \-format Ar FORMAT
     124create archive of the given formatFORMAT is one of the following:
     125.Bl -tag -width flag
     126.It Fl \-format=gnu
     127GNU tar 1.13.x format
     128.It Fl \-format=oldgnu
     129GNU format as per tar <= 1.12
     130.It Fl \-format=pax
     131POSIX 1003.1-2001 (pax) format
     132.It Fl \-format=posix
     133same as pax
     134.It Fl \-format=ustar
     135POSIX 1003.1-1988 (ustar) format
     136.It Fl \-format=v7
     137old V7 tar format
     138.El
     139.It Fl \-hard\-dereference
     140follow hard links; archive and dump the files they refer to
     141.It Fl i , Fl \-ignore\-zeros
     142ignore zeroed blocks in archive (means EOF)
     143.It Fl I , Fl \-use\-compress\-program Ar PROG
     144filter through PROG (must accept -d)
     145.It Fl \-ignore\-case
     146ignore case
     147.It Fl \-no\-ignore\-case
     148case sensitive matching (default)
     149.It Fl \-ignore\-command\-error
     150ignore exit codes of children
     151.It Fl \-no\-ignore\-command\-error
     152treat non-zero exit codes of children as error
     153.It Fl \-ignore\-failed\-read
     154do not exit with nonzero on unreadable files
     155.It Fl \-index\-file Ns \= Ns Ar FILE
     156send verbose output to FILE
     157.It Fl j , Fl \-bzip2
     158
     159.It Fl J , Fl \-xz
     160
     161.It Fl k , Fl \-keep\-old\-files
     162don't replace existing files when extracting
     163.It Fl K , Fl \-starting\-file Ar MEMBER-NAME
     164begin at member MEMBER-NAME in the archive
     165.It Fl \-keep\-newer\-files
     166don't replace existing files that are newer than their archive copies
     167.It Fl l , Fl \-check\-links
     168print a message if not all links are dumped
     169.It Fl L , Fl \-tape\-length Ar NUMBER
     170change tape after writing NUMBER x 1024 bytes
     171.It Fl \-level Ns \= Ns Ar NUMBER
     172dump level for created listed-incremental archive
     173.It Fl \-lzip
     174
     175.It Fl \-lzma
     176
     177.It Fl \-lzop
     178
     179.It Fl m , Fl \-touch
     180don't extract file modified time
     181.It Fl M , Fl \-multi\-volume
     182create/list/extract multi-volume archive
     183.It Fl \-mode Ns \= Ns Ar CHANGES
     184force (symbolic) mode CHANGES for added files
     185.It Fl \-mtime Ns \= Ns Ar DATE-OR-FILE
     186set mtime for added files from DATE-OR-FILE
     187.It Fl n , Fl \-seek
     188archive is seekable
     189.It Fl N , Fl \-newer , Fl \-after\-date Ar DATE-OR-FILE
     190only store files newer than DATE-OR-FILE
     191.It Fl \-newer\-mtime Ns \= Ns Ar DATE
     192compare date and time when data changed only
     193.It Fl \-null
     194-T reads null-terminated names, disable -C
     195.It Fl \-no\-null
     196disable the effect of the previous --null option
     197.It Fl \-numeric\-owner
     198always use numbers for user/group names
     199.It Fl O , Fl \-to\-stdout
     200extract files to standard output
     201.It Fl \-occurrence
     202process only the NUMBERth occurrence of each file in the archive;
     203.It Fl \-old\-archive , Fl \-portability
     204same as --format=v7
     205.It Fl \-one\-file\-system
     206stay in local file system when creating archive
     207.It Fl \-overwrite
     208overwrite existing files when extracting
     209.It Fl \-overwrite\-dir
     210overwrite metadata of existing directories when extracting (default)
     211.It Fl \-no\-overwrite\-dir
     212preserve metadata of existing directories
     213.It Fl \-owner Ns \= Ns Ar NAME
     214force NAME as owner for added files
     215.It Fl p , Fl \-preserve\-permissions , Fl \-same\-permissions
     216extract information about file permissions (default for superuser)
     217.It Fl P , Fl \-absolute\-names
     218don't strip leading `/'s from file names
     219.It Fl \-pax\-option Ns \= Ns Ar keyword[[:]=value][,keyword[[:]=value]]...
     220control pax keywords
     221.It Fl \-posix
     222same as --format=posix
     223.It Fl \-preserve
     224same as both -p and -s
     225.It Fl \-quote\-chars Ns \= Ns Ar STRING
     226additionally quote characters from STRING
     227.It Fl \-no\-quote\-chars Ns \= Ns Ar STRING
     228disable quoting for characters from STRING
     229.It Fl \-quoting\-style Ns \= Ns Ar STYLE
     230set name quoting style; see below for valid STYLE values
     231.It Fl R , Fl \-block\-number
     232show block number within archive with each message
     233.It Fl \-record\-size Ns \= Ns Ar NUMBER
     234NUMBER of bytes per record, multiple of 512
     235.It Fl \-recursion
     236recurse into directories (default)
     237.It Fl \-no\-recursion
     238avoid descending automatically in directories
     239.It Fl \-recursive\-unlink
     240empty hierarchies prior to extracting directory
     241.It Fl \-remove\-files
     242remove files after adding them to the archive
     243.It Fl \-restrict
     244disable use of some potentially harmful options
     245.It Fl \-rmt\-command Ns \= Ns Ar COMMAND
     246use given rmt COMMAND instead of rmt
     247.It Fl \-rsh\-command Ns \= Ns Ar COMMAND
     248use remote COMMAND instead of rsh
     249.It Fl s , Fl \-preserve\-order , Fl \-same\-order
     250sort names to extract to match archive
     251.It Fl S , Fl \-sparse
     252handle sparse files efficiently
     253.It Fl \-same\-owner
     254try extracting files with the same ownership as exists in the archive (default for superuser)
     255.It Fl \-no\-same\-owner
     256extract files as yourself (default for ordinary users)
     257.It Fl \-no\-same\-permissions
     258apply the user's umask when extracting permissions from the archive (default for ordinary users)
     259.It Fl \-no\-seek
     260archive is not seekable
     261.It Fl \-show\-defaults
     262show tar defaults
     263.It Fl \-show\-omitted\-dirs
     264when listing or extracting, list each directory that does not match search criteria
     265.It Fl \-show\-transformed\-names , Fl \-show\-stored\-names
     266show file or archive names after transformation
     267.It Fl \-sparse\-version Ns \= Ns Ar MAJOR[.MINOR]
     268set version of the sparse format to use (implies --sparse)
     269.It Fl \-strip\-components Ns \= Ns Ar NUMBER
     270strip NUMBER leading components from file names on extraction
     271.It Fl \-suffix Ns \= Ns Ar STRING
     272backup before removal, override usual suffix ('~' unless overridden by environment variable SIMPLE_BACKUP_SUFFIX)
     273.It Fl T , Fl \-files\-from Ar FILE
     274get names to extract or create from FILE
     275.It Fl \-to\-command Ns \= Ns Ar COMMAND
     276pipe extracted files to another program
     277.It Fl \-totals
     278print total bytes after processing the archive;
     279.It Fl \-transform , Fl \-xform Ar EXPRESSION
     280use sed replace EXPRESSION to transform file names
     281.It Fl U , Fl \-unlink\-first
     282remove each file prior to extracting over it
     283.It Fl \-unquote
     284unquote filenames read with -T (default)
     285.It Fl \-no\-unquote
     286do not unquote filenames read with -T
     287.It Fl \-utc
     288print file modification times in UTC
     289.It Fl v , Fl \-verbose
     290verbosely list files processed
     291.It Fl V , Fl \-label Ar TEXT
     292create archive with volume name TEXT; at list/extract time, use TEXT as a globbing pattern for volume name
     293.It Fl \-volno\-file Ns \= Ns Ar FILE
     294use/update the volume number in FILE
     295.It Fl w , Fl \-interactive , Fl \-confirmation
     296ask for confirmation for every action
     297.It Fl W , Fl \-verify
     298attempt to verify the archive after writing it
     299.It Fl \-warning Ns \= Ns Ar KEYWORD
     300warning control
     301.It Fl \-wildcards
     302use wildcards (default for exclusion)
     303.It Fl \-wildcards\-match\-slash
     304wildcards match `/' (default for exclusion)
     305.It Fl \-no\-wildcards\-match\-slash
     306wildcards do not match `/'
     307.It Fl \-no\-wildcards
     308verbatim string matching
     309.It Fl X , Fl \-exclude\-from Ar FILE
     310exclude patterns listed in FILE
     311.It Fl z , Fl \-gzip , Fl \-gunzip Fl \-ungzip
     312
     313.It Fl Z , Fl \-compress , Fl \-uncompress
     314
     315.El
     316.Sh ENVIRONMENT
     317The behavior of tar is controlled by the following environment variables,
     318among others:
     319.Bl -tag -width Ds
     320.It Ev SIMPLE_BACKUP_SUFFIX
     321Backup prefix to use when extracting, if
     322.Fl \-suffix
     323is not specified.
     324The backup suffix defaults to `~' if neither is specified.
     325.It Ev TAR_OPTIONS
     326Options to prepend to those specified on the command line, separated by
     327whitespace.  Embedded backslashes may be used to escape whitespace or
     328backslashes within an option.
     329.It Ev TAPE
     330Device or file to use for the archive if
     331.Fl \-file
     332is not specified.
     333If this environment variable is unset, use stdin or stdout instead.
     334.El
     335.Sh EXAMPLES
     336Create archive.tar from files foo and bar.
     337.Bd -literal -offset indent -compact
     338tar \-cf archive.tar foo bar
     339.Ed
     340List all files in archive.tar verbosely.
     341.Bd -literal -offset indent -compact
     342tar \-tvf archive.tar
     343.Ed
     344Extract all files from archive.tar.
     345.Bd -literal -offset indent -compact
     346tar \-xf archive.tar
     347.Ed
     348.Sh SEE ALSO
     349.\" libarchive
     350.Xr tar 5 ,
     351.\" man-pages
     352.Xr symlink 7 ,
     353.Xr rmt 8
     354.Sh HISTORY
     355The
     356.Nm tar
     357command appeared in
     358.At v7 .
     359.Sh BUGS
     360The GNU folks, in general, abhor man pages, and create info documents instead.
     361Unfortunately, the info document describing tar is licensed under the GFDL with
     362invariant cover texts, which makes it impossible to include any text
     363from that document in this man page.
     364Most of the text in this document was automatically extracted from the usage
     365text in the source.
     366It may not completely describe all features of the program.
Note: See TracBrowser for help on using the repository browser.